Remove Payment Method
DELETE
/billing/payment-method
const url = 'https://api.mengi.cloud/billing/payment-method';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.mengi.cloud/billing/payment-methodRemove the payment method (revoke all mandates) for the active scope:
the organization’s with organization_id (admin+), otherwise the user’s.
Only allowed when there are no active deployments or clusters in the scope.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}